## com.imcode.imcms.servlet.admin
Class ImageBrowser

    java.lang.Object
      com.imcode.imcms.servlet.WebComponent
          com.imcode.imcms.servlet.admin.ImageBrowser

All Implemented Interfaces:
  java.io.Serializable

    public class ImageBrowser

extends WebComponent

See Also:
  Serialized Form

Nested Class Summary
`static interface` `ImageBrowser.SelectImageUrlCommand`

Field Summary
`static java.lang.String` `REQUEST_ATTRIBUTE_OR_PARAMETER__IMAGE_BROWSER`

Constructor Summary
`ImageBrowser()`

Method Summary
`void` `forward(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `selectImageUrl(java.lang.String imageUrl, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `setSelectImageUrlCommand(ImageBrowser.SelectImageUrlCommand selectImageUrlCommand)`

Methods inherited from class com.imcode.imcms.servlet.WebComponent
`cancel, isCancelable, setCancelCommand`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_ATTRIBUTE_OR_PARAMETER__IMAGE_BROWSER

    public static final java.lang.String REQUEST_ATTRIBUTE_OR_PARAMETER__IMAGE_BROWSER

See Also:
  Constant Field Values

Constructor Detail

### ImageBrowser

    public ImageBrowser()

Method Detail

### setSelectImageUrlCommand

    public void setSelectImageUrlCommand(ImageBrowser.SelectImageUrlCommand selectImageUrlCommand)

### forward

    public void forward(javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response)
                 throws java.io.IOException,
                        javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### selectImageUrl

    public void selectImageUrl(java.lang.String imageUrl,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)
                        throws java.io.IOException,
                               javax.servlet.ServletException

  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`